## ros-lunar-mavros-msgs 0.29.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mavros_msgs)

find_package(catkin REQUIRED COMPONENTS geographic_msgs geometry_msgs message_generation sensor_msgs std_msgs)

include_directories(include)

add_message_files(
  DIRECTORY msg
  FILES
  ADSBVehicle.msg
  ActuatorControl.msg
  Altitude.msg
  AttitudeTarget.msg
  BatteryStatus.msg
  CamIMUStamp.msg
  CommandCode.msg
  CompanionProcessStatus.msg
  DebugValue.msg
  ExtendedState.msg
  FileEntry.msg
  GlobalPositionTarget.msg
  HilActuatorControls.msg
  HilControls.msg
  HilGPS.msg
  HilSensor.msg
  HilStateQuaternion.msg
  HomePosition.msg
  LogData.msg
  LogEntry.msg
  ManualControl.msg
  Mavlink.msg
  OpticalFlowRad.msg
  OverrideRCIn.msg
  Param.msg
  ParamValue.msg
  PositionTarget.msg
  RCIn.msg
  RCOut.msg
  RTCM.msg
  RadioStatus.msg
  State.msg
  StatusText.msg
  Thrust.msg
  TimesyncStatus.msg
  Trajectory.msg
  VFR_HUD.msg
  VehicleInfo.msg
  Vibration.msg
  Waypoint.msg
  WaypointList.msg
  WaypointReached.msg
  WheelOdomStamped.msg
)

add_service_files(
  DIRECTORY srv
  FILES
  CommandBool.srv
  CommandHome.srv
  CommandInt.srv
  CommandLong.srv
  CommandTOL.srv
  CommandTriggerControl.srv
  CommandTriggerInterval.srv
  FileChecksum.srv
  FileClose.srv
  FileList.srv
  FileMakeDir.srv
  FileOpen.srv
  FileRead.srv
  FileRemove.srv
  FileRemoveDir.srv
  FileRename.srv
  FileTruncate.srv
  FileWrite.srv
  LogRequestData.srv
  LogRequestEnd.srv
  LogRequestList.srv
  MessageInterval.srv
  ParamGet.srv
  ParamPull.srv
  ParamPush.srv
  ParamSet.srv
  SetMavFrame.srv
  SetMode.srv
  StreamRate.srv
  VehicleInfoGet.srv
  WaypointClear.srv
  WaypointPull.srv
  WaypointPush.srv
  WaypointSetCurrent.srv
)

# add_action_files(
#   DIRECTORY action
#   FILES
#   Action1.action
#   Action2.action
# )

generate_messages(DEPENDENCIES geographic_msgs geometry_msgs sensor_msgs std_msgs)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS geographic_msgs geometry_msgs message_runtime sensor_msgs std_msgs)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

=== debian/changelog ===
ros-lunar-mavros-msgs (0.29.2-0xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 06 Mar 2019 00:00:00 -0000

ros-lunar-mavros-msgs (0.29.1-0xenial) xenial; urgency=high

  * All: catkin lint files
  * mavros_msgs: Fix line endings for OpticalFlowRad message
  * Contributors: Pierre Kancir, sfalexrog

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 03 Mar 2019 00:00:00 -0000

ros-lunar-mavros-msgs (0.29.0-0xenial) xenial; urgency=high

  * Fix broken documentation URLs
  * Merge branch 'master' into param-timeout
  * mavros_extras: Wheel odometry plugin updated according to the final mavlink WHEEL_DISTANCE message.
  * mavros_msgs: Float32ArrayStamped replaced by WheelOdomStamped.
  * mavros_msgs: Float32ArrayStamped message added.
    For streaming timestamped data from FCU sensors (RPM, WHEEL_DISTANCE, etc.)
  * msgs: Fix message id type, mavlink v2 uses 24 bit msg ids
  * mavros_msgs: add MessageInterval.srv to CMakeLists
  * sys_status: add set_message_interval service
  * Contributors: Dr.-Ing. Amilcar do Carmo Lucas, Pavlo Kolomiiets, Randy Mackay, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 02 Feb 2019 00:00:00 -0000

ros-lunar-mavros-msgs (0.28.0-0xenial) xenial; urgency=high

  * plugin:param: publish new param value
  * Merge pull request #1148 <https://github.com/mavlink/mavros/issues/1148> from Kiwa21/pr-param-value
    param plugin : add msg and publisher to catch latest param value
  * msgs: update Header
  * sys_state: Small cleanup of #1150 <https://github.com/mavlink/mavros/issues/1150>
  * VehicleInfo : add srv into sys_status plugin to request basic info from vehicle
  * mavros_msgs/msg/LogData.msg: Define "offset" field to be of type uint32
  * param plugin : add msg and publisher to catch latest param value
  * style clean up
  * Use component_id to determine message sender
  * change message name from COMPANION_STATUS to COMPANION_PROCESS_STATUS
  * change message to include pid
  * Change from specific avoidance status message to a more generic companion status message
  * Add message for avoidance status
  * Contributors: Gregoire Linard, Vladimir Ermakov, baumanta, mlvov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 03 Jan 2019 00:00:00 -0000

ros-lunar-mavros-msgs (0.27.0-0xenial) xenial; urgency=high

  * Add service to send mavlink TRIGG_INTERVAL commands
    Adapt trigger_control service to current mavlink cmd spec. Add a new service to change trigger interval and integration time
  * Contributors: Moritz Zimmermann

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 12 Nov 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.26.3-0xenial) xenial; urgency=high

  * fixup! 5a4344a2dcedc157f93b620cebd2e0b273ec24be
  * mavros_msgs: Add msg and srv files related to log transfer
  * Contributors: mlvov

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 21 Aug 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.26.2-0xenial) xenial; urgency=high

  * Updating the gps_rtk plugin to fit mavros guidelines:
    - Updating max_frag_len to allow changes in size in MAVLink seamlessly
    - Using std::copy instead of memset
    - Zero fill with std::fill
    - Preapply the sequence flags
    - Use of std iterators
    - Add the maximal data size in the mavros_msgs
  * Renaming the GPS RTK module, Adding fragmentation, Changing the RTCM message
  * RTK Plugin; to forward RTCM messages
    Signed-off-by: Alexis Paques <mailto:alexis.paques@gmail.com>
  * Contributors: Alexis Paques

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 08 Aug 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.26.1-0xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 19 Jul 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.26.0-0xenial) xenial; urgency=high

  * mavros_msgs : add timesync status message
  * Contributors: Mohammed Kabir

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 06 Jun 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.25.1-0xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 14 May 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.25.0-0xenial) xenial; urgency=high

  * trajectory: add time_horizon field
  * change message name from ObstacleAvoidance to Trajectory since it is
    general enough to support any type of trajectory
  * CMakeLists: add ObstacleAvoidance message
  * add ObstacleAvoidance message
  * msgs: Update message doc link
  * CommandCode: update list of available commands on MAV_CMD enum (#995 <https://github.com/mavlink/mavros/issues/995>)
  * Contributors: Martina, Nuno Marques, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 11 May 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.24.0-0xenial) xenial; urgency=high

  * Add ability to send STATUSTEXT messages
  * Contributors: Anass Al

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 05 Apr 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.23.3-0xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 09 Mar 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.23.2-0xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 07 Mar 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.23.1-0xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 27 Feb 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.23.0-0xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 03 Feb 2018 00:00:00 -0000

ros-lunar-mavros-msgs (0.22.0-0xenial) xenial; urgency=high

  * SetMavFrame.srv: add FRAME_ prefix
  * Add cog for SetMavFrame.srv
  * Setpoints: add service to specify frame
  * Contributors: Pierre Kancir, khancyr

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 11 Dec 2017 00:00:00 -0000

ros-lunar-mavros-msgs (0.21.5-0xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 16 Nov 2017 00:00:00 -0000

ros-lunar-mavros-msgs (0.21.4-0xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 01 Nov 2017 00:00:00 -0000



=== debian/control ===
Source: ros-lunar-mavros-msgs
Section: misc
Priority: extra
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-geographic-msgs, ros-lunar-geometry-msgs, ros-lunar-message-generation, ros-lunar-sensor-msgs, ros-lunar-std-msgs
Homepage: http://wiki.ros.org/mavros_msgs
Standards-Version: 3.9.2

Package: ros-lunar-mavros-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-geographic-msgs, ros-lunar-geometry-msgs, ros-lunar-message-runtime, ros-lunar-sensor-msgs, ros-lunar-std-msgs
Description: mavros_msgs defines messages for MAVROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-mavros-msgs//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
